# ItemClickEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [MouseEventArgs](/api/wisej.web/general/control/wisej.web.mouseeventargs.md)
  * [ItemClickEventArgs](/api/wisej.web/lists-and-grids/listview/wisej.web.itemclickeventargs.md)

Provides data for the [ItemClick](/api/wisej.web/lists-and-grids/listview.md#itemclick) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ItemClickEventArgs : MouseEventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ItemClickEventArgs
    Inherits MouseEventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) ItemClickEventArgs(item, button, clicks)

Initializes a new instance of the [ItemClickEventArgs](/api/wisej.web/lists-and-grids/listview/wisej.web.itemclickeventargs.md) class.

| Name       | Type                                                                              | Description                                                                                                                           |
| ---------- | --------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| **item**   | [ListViewItem](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md) | The [ListViewItem](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md) the mouse pointer is currently hovering over.   |
| **button** | [MouseButtons](/api/wisej.web/enumerations/wisej.web.mousebuttons.md)             | One of the [MouseButtons](/api/wisej.web/enumerations/wisej.web.mousebuttons.md) values that indicate which mouse button was pressed. |
| **clicks** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                       | The number of times a mouse button was pressed.                                                                                       |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Item

[ListViewItem](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md): Returns the item that was clicked or tapped.

## Used By

| Name                                                                                                | Description                                                                                                                                                                     |
| --------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [ItemClickEventHandler](/api/wisej.web/lists-and-grids/listview/wisej.web.itemclickeventhandler.md) | Represents the method that will handle the [ItemClick](/api/wisej.web/lists-and-grids/listview.md#itemclick) event of a [ListView](/api/wisej.web/lists-and-grids/listview.md). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/listview/wisej.web.itemclickeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
